| Boost.Hana 1.7.1 Your standard library for metaprogramming |

List of all members
boost::hana::detail::CanonicalConstant< T > Struct Template Reference
Details

## Description

### template<typename T>
struct boost::hana::detail::CanonicalConstant< T >

Tag representing a canonical `Constant`.

This is an implementation detail used to provide many models for stuff like `Monoid`, `Group`, etc. To create a `CanonicalConstant`, simply create an object with a nested `hana_tag` equal to the proper specialization of `CanonicalConstant<T>`, and then also provide a `constexpr` static member `::value` holding the value of the constant.